% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.0617529015423853,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Selected Layers},
ymin=-0.5, ymax=15.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_CONV\_2D,3\_CONV\_2D,4\_ADD,14\_ADD,15\_CONV\_2D,16\_CONV\_2D,27\_ADD,28\_CONV\_2D,29\_CONV\_2D,30\_ADD,31\_AVERAGE\_POOL\_2D,32\_RESHAPE,34\_SOFTMAX,35\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.000789362413766502,-0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{L4}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.0215017493825675,0.866666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.056059907959658,1.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.0561352504584161,2.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.0248072720417678,3.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.0125272103284703,4.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0467912044095132,5.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.046764814269482,6.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.00628981516679177,7.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:0.0432306971549943,8.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:0.0432189431847756,9.86666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,10.6) rectangle (axis cs:0.00629720080325101,10.8666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,11.6) rectangle (axis cs:0.000203150036997986,11.8666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,12.6) rectangle (axis cs:6.03460539962981e-06,12.8666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,13.6) rectangle (axis cs:0.000116368808601817,13.8666666666667);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,14.6) rectangle (axis cs:9.90756110386984e-06,14.8666666666667);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.133333333333333) rectangle (axis cs:0.000825738996776397,0.133333333333333);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{F4}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.866666666666667) rectangle (axis cs:0.0221598190547478,1.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1.86666666666667) rectangle (axis cs:0.0587251106040148,2.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2.86666666666667) rectangle (axis cs:0.0588122871832241,3.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3.86666666666667) rectangle (axis cs:0.0162609721326551,4.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4.86666666666667) rectangle (axis cs:0.00834842751435086,5.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5.86666666666667) rectangle (axis cs:0.0493732379891147,6.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6.86666666666667) rectangle (axis cs:0.0493439759205689,7.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7.86666666666667) rectangle (axis cs:0.00420113892441374,8.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8.86666666666667) rectangle (axis cs:0.0455977199158756,9.13333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9.86666666666667) rectangle (axis cs:0.0455864418269569,10.1333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,10.8666666666667) rectangle (axis cs:0.00421952932165953,11.1333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,11.8666666666667) rectangle (axis cs:0.000225561778373767,12.1333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,12.8666666666667) rectangle (axis cs:7.11230832710075e-06,13.1333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,13.8666666666667) rectangle (axis cs:7.85402048121268e-05,14.1333333333333);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,14.8666666666667) rectangle (axis cs:9.34760522990384e-06,15.1333333333333);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,0.133333333333333) rectangle (axis cs:0.000609695403925432,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{F7}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1.13333333333333) rectangle (axis cs:0.0250712183464428,1.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2.13333333333333) rectangle (axis cs:0.0576799018964912,2.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,3.13333333333333) rectangle (axis cs:0.0578680657446712,3.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,4.13333333333333) rectangle (axis cs:0.0162611420276314,4.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,5.13333333333333) rectangle (axis cs:0.00862903820216012,5.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,6.13333333333333) rectangle (axis cs:0.0473934630765747,6.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,7.13333333333333) rectangle (axis cs:0.0473442509932045,7.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,8.13333333333333) rectangle (axis cs:0.00405431856072693,8.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,9.13333333333333) rectangle (axis cs:0.0482062418290684,9.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,10.1333333333333) rectangle (axis cs:0.0482953134731773,10.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,11.1333333333333) rectangle (axis cs:0.00398461999921172,11.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,12.1333333333333) rectangle (axis cs:0.000237153252439951,12.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,13.1333333333333) rectangle (axis cs:8.90716441089017e-06,13.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,14.1333333333333) rectangle (axis cs:8.30593081315508e-05,14.4);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,15.1333333333333) rectangle (axis cs:9.12984352116242e-06,15.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan -0.266666666666667
nan -0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.733333333333333
nan 0.733333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.73333333333333
nan 1.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.73333333333333
nan 2.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.73333333333333
nan 3.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.73333333333333
nan 4.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.73333333333333
nan 5.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.73333333333333
nan 6.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.73333333333333
nan 7.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8.73333333333333
nan 8.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 9.73333333333333
nan 9.73333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 10.7333333333333
nan 10.7333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 11.7333333333333
nan 11.7333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 12.7333333333333
nan 12.7333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 13.7333333333333
nan 13.7333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 14.7333333333333
nan 14.7333333333333
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0
nan 0
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1
nan 1
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2
nan 2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3
nan 3
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4
nan 4
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5
nan 5
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6
nan 6
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7
nan 7
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8
nan 8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 9
nan 9
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 10
nan 10
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 11
nan 11
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 12
nan 12
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 13
nan 13
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 14
nan 14
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 15
nan 15
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 0.266666666666667
nan 0.266666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 1.26666666666667
nan 1.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 2.26666666666667
nan 2.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 3.26666666666667
nan 3.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 4.26666666666667
nan 4.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 5.26666666666667
nan 5.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 6.26666666666667
nan 6.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 7.26666666666667
nan 7.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 8.26666666666667
nan 8.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 9.26666666666667
nan 9.26666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 10.2666666666667
nan 10.2666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 11.2666666666667
nan 11.2666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 12.2666666666667
nan 12.2666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 13.2666666666667
nan 13.2666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 14.2666666666667
nan 14.2666666666667
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
nan 15.2666666666667
nan 15.2666666666667
};
\end{axis}

\end{tikzpicture}
